
Smart Proxy - Bug #5738

Foreman-proxy log sudo warnings not formatted properly

05/15/2014 03:48 PM - Jason Berry

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

foreman-proxi/proxy.log Warning when an mcollective puppet run fails is outputted with improper formatting:

W, [2014-05-15T10:42:57.648540 #24829]  WARN -- : Non-null exit code when executing

'+/usr/bin/sudo/usr/bin/mcopuppetrunonce-Imyserver.myhost.com+'

Without Debug turned on to see the actual command, it appears as if Foreman is actually making an improper execution call.  Here's

the actual debug output, showing the call was correct:

D, [2014-05-15T10:42:57.100883 #24829] DEBUG -- : about to execute: /usr/bin/sudo /usr/bin/mco puppet runonce -I

myserver.myhost.com

History

#1 - 05/15/2014 03:52 PM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category set to Puppet

#2 - 01/10/2022 02:02 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

The mcollective provider has been dropped.
